@ECHO OFF
@COLOR 02
@TITLE Dungeon Lords (1C)
@ECHO ------------------------
@ECHO Unpack speech? [ y / n ]
@ECHO ------------------------
@SET /P QUEST=
@IF NOT "%QUEST%"=="y" EXIT
@SET TARGETNAME=speech
@CLS
@CD /d "%~dp0"
@IF NOT EXIST "%CD%\_unpack_%TARGETNAME%.exe" SET TARGETFILE=_unpack_%TARGETNAME%.exe & GOTO ERROR_NOTFOUND
@IF NOT EXIST "%CD%\%TARGETNAME%.dat.sffs.xml" SET TARGETFILE=%TARGETNAME%.dat.sffs.xml & GOTO ERROR_NOTFOUND
@IF NOT EXIST "%CD%\%TARGETNAME%.dat" SET TARGETFILE=%TARGETNAME%.dat & GOTO ERROR_NOTFOUND
REM @IF EXIST "%CD%\%TARGETNAME%" RD "%CD%\%TARGETNAME%" /S /Q
@IF EXIST "%CD%\%TARGETNAME%.dat_sffs.ok.txt" DEL "%CD%\*.dat_sffs.ok.txt"
@"%CD%\_unpack_%TARGETNAME%.exe" "%CD%\%TARGETNAME%.dat.sffs.xml"
@IF NOT EXIST "%CD%\%TARGETNAME%.dat_sffs.ok.txt" GOTO ERROR_UNPACKING
:ALL_DONE
@CLS & ECHO All done! & PING -n 3 127.0.0.1 > nul & DEL "%TARGETNAME%.dat_sffs.ok.txt" & DEL "%TARGETNAME%.dat.sffs.xml" & DEL "_unpack_%TARGETNAME%.exe" & DEL "%~f0" & EXIT
:ERROR_NOTFOUND
@COLOR 04
@CLS
@ECHO --------------------------------------------
@ECHO ERROR! File not found: %TARGETFILE%
@ECHO --------------------------------------------
@PAUSE
@EXIT
:ERROR_UNPACKING
@COLOR 04
@CLS
@ECHO -------------------------------------------------------
@ECHO WARNING! An error occurred during unpacking! Try again.
@ECHO -------------------------------------------------------
@PAUSE
@EXIT